Agiled Docs
ApiTasks

List Tasks

GET
/public/v1/tasks

Returns paginated tasks. Supported sort fields: created_at, updated_at, title, status, due_date.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

page?string

Page number.

per_page?string

Items per page, up to 100.

sort_by?string

Sort field.

sort_direction?string

Sort direction: asc or desc.

include?string

Comma-separated includes. Supported: project, assigned_user, assignees.

title?string

Filter by title.

status?string

Filter by status.

project_id?string

Filter by project_id.

Response Body

application/json

curl -X GET "https://api.agiled.ai/public/v1/tasks"
{  "data": [    {      "created_at": "string",      "id": "string",      "updated_at": "string"    }  ],  "meta": {    "current_page": 0,    "last_page": 0,    "per_page": 0,    "total": 0  }}
Empty
Empty
Empty
Empty
Empty